お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2022-06-23 03:15:06

nahoko
メンバ
登録日: 2020-11-05

bash: hold: コマンドが見つかりません

【 fold 】コマンド――テキストを指定した幅で改行して出力する
を使いたいのですが
bash: hold: コマンドが見つかりません
と。
どうすれば?

オフライン

 

#2 2022-06-23 06:09:39

ry
メンバ
登録日: 2008-07-30

Re: bash: hold: コマンドが見つかりません

nahoko による投稿:

bash: hold: コマンドが見つかりません

使いたいのは fold コマンドですよね。

オフライン

 

#3 2022-06-23 17:45:02

nahoko
メンバ
登録日: 2020-11-05

Re: bash: hold: コマンドが見つかりません

リーさん、す..すいません。聞かれてる意味がわからんのですが!

使いたいのは fold コマンドですよね。

やりたいことは「テキストを指定した幅で改行して出力する」ですっ
ほんらいはコマンドでやるより、ウインドウズのメリーみたいに自由自在に
いっかつして整形したいのだけど、つまりエディタでやりたいんだけど、
pluma でできなさそうなので、あきらめてコマンドです。

オフライン

 

#4 2022-06-23 21:44:04

yaneno-suzume
メンバ
From: 名古屋
登録日: 2013-06-30

Re: bash: hold: コマンドが見つかりません

WineHQ をインストールすると
MerySetup-2.6.7.exe (32ビット版) をインストールできて
Ubuntu 22.04 で Mery が動きますよ☆

※ Ubuntu Software からインストールする「Wine」で動作するかは未テストです
※ Mery の 64ビット版が動作するかは未テストです

オフライン

 

#5 2022-06-23 22:10:57

array
メンバ
登録日: 2007-03-13

Re: bash: hold: コマンドが見つかりません

ryさんが言っているのは質問に

nahoko による投稿:

【 fold 】コマンド――テキストを指定した幅で改行して出力する
を使いたいのですが
bash: hold: コマンドが見つかりません

書いてあって
fold
を使いたいのにコマンドで
hold
とtypoしているのでは?と言うことです。

オフライン

 

#6 2022-06-24 06:09:44

ry
メンバ
登録日: 2008-07-30

Re: bash: hold: コマンドが見つかりません

「bash: fold: コマンドが見つかりません」というエラー メッセージならば、試しに「ls /bin/fold」を実行して何も出てこなければ「sudo apt reinstall coreutils」でしょうか。

オフライン

 

#7 2022-06-24 22:44:57

nahoko
メンバ
登録日: 2020-11-05

Re: bash: hold: コマンドが見つかりません

arrayさん、ありがとうございました(^^)

fold
を使いたいのにコマンドで
hold
とtypoしているのでは?と言うことです。

まったく気づきませんでした。す...すげい、と思いました。
ryさんはリーさんと読むものと思い込んでいました。アールワイさんだったとは。
さてじっさいにコマンドー試してみて「ちがうな!」と思いました☕
それで屋根のすずめさんの

WineHQ をインストールすると
MerySetup-2.6.7.exe (32ビット版) をインストールできて
Ubuntu 22.04 で Mery が動きますよ☆

※ Ubuntu Software からインストールする「Wine」で動作するかは未テストです
※ Mery の 64ビット版が動作するかは未テストです

のご指導を選択することを決意しました。
まず >WineHQ ってなんだ?と思った。ググった。
参考元は公式いっぽんです。
https://wiki.debian.org/Wine
こんかいwineのインストールに
標準インストール
WineHQのリポジトリからのインストール
の二色あることを知りました。いままでワインをインストールするとき、適当なサイトの情報にしたがって、理解が浅いままコマンドをコピペしてきた。
たいがい>WineHQのリポジトリからのインストール
をしてきた。こんかいは標準インストール!
sudo apt install \
wine \
wine32 \
wine64 \
libwine \
libwine:i386 \
fonts-wine
wine (5.0.3-3) のトリガを処理しています ...
libc-bin (2.31-13+deb11u3) のトリガを処理しています ...
libgdk-pixbuf-2.0-0:i386 (2.42.2+dfsg-1) のトリガを処理しています ...

$
メリーそれ自体のインストールはまだです

オフライン

 

#8 2022-06-24 22:51:30

nahoko
メンバ
登録日: 2020-11-05

Re: bash: hold: コマンドが見つかりません

ry による投稿:

「bash: fold: コマンドが見つかりません」というエラー メッセージならば、試しに「ls /bin/fold」を実行して何も出てこなければ「sudo apt reinstall coreutils」でしょうか。

1字ちがいを教えてもらうまで気づかずに
----------------------------------
$ sudo apt -y install coreutils
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 完了
状態情報を読み取っています... 完了
coreutils はすでに最新バージョン (8.32-4+b1) です。
アップグレード: 0 個、新規インストール: 0 個、削除: 0 個、保留: 1 個。
bash: hold: コマンドが見つかりません
を解決できず
----------------------------------
一晩あせって発狂してました。感謝。

オフライン

 

Board footer

Powered by FluxBB